Subject: Re: [PATCH v2 04/13] Teach rebase interactive the mark command

From: Junio C Hamano <[email-masked]>
Date: Thu, 01 May 2008 12:04:38 -0700

Johannes Schindelin <[email-masked]> writes:

> The idea I hinted at was to refer to them by another name than the short 
> name.  Then we can use the sequencer machinery.
>
> I still maintain that it is such a rare need (even if you are a power user 
> of it) that it makes sense to cater for other, simpler uses.

As usual, I am greedy and I would want to have both supported in such a
way that (1) simple things are simple and (2) the language is expressive
enough that complex things are possible.  And I try to stress that while
we are still in the drawing board phase, because it would be painful to
change once we start with a language without enough expressiveness.

And that was where my "Can the approach to use the original commit ID to
stand for rewritten one express everything we would want to do in the
future, not just limited to 'rebase -i -p'" series of questions came
from.